Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
default:$CARTESIA_API_KEY
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Path Parameters

id
string
required

ID of the pronunciation dictionary to update

Body

application/json

Request to update an existing pronunciation dictionary

name
string

New name for the pronunciation dictionary

description
string

New description for the pronunciation dictionary

items
PronunciationDictItem · object[] | null

Updated list of pronunciation mappings

access
object

Change who can access the pronunciation dictionary

Response

200 - application/json

A dictionary of text-to-pronunciation mappings

id
string
required

Unique identifier for the pronunciation dictionary

name
string
required

Name of the pronunciation dictionary

description
string
required

Description of the pronunciation dictionary

is_owner
boolean
required

Whether your organization owns the pronunciation dictionary.

access
object
required

Who can access the pronunciation dictionary

pinned
boolean
required

Whether this dictionary is pinned for the user

items
PronunciationDictItem · object[]
required

List of text-to-pronunciation mappings

created_at
string
required

ISO 8601 timestamp of when the dictionary was created

owner_id
string
required
deprecated

ID of the user who owns this dictionary. Use is_owner instead.